#776 ImportError: No module named sax

closed-invalid
nobody
None
5
2008-08-15
2008-08-14
Anonymous
No

Hello, I stopped my bot for an hour and when I wanted to restart, I get the same error every time:

C:\Bot>login.py -all
Traceback (most recent call last):
File "C:\Bot\login.py", line 49, in <module>
import wikipedia, config
File "C:\Bot\wikipedia.py", line 123, in <module>
import xml.sax, xml.sax.handler
ImportError: No module named sax

Do you know the problem? I reinstalled Python and Pywikipedia, but it changes nothing. Best regards, WikiDreamer

Discussion

  • Francesco Cosoleto

    Logged In: YES
    user_id=181280
    Originator: NO

    Please, provide manually Python version, operating system used, PyWikipediaBot version or run python version.py.

     
  • Francesco Cosoleto

    • status: open --> pending
     
  • Nobody/Anonymous

    • status: pending --> open
     
  • Francesco Cosoleto

    • status: open --> pending
     
  • Francesco Cosoleto

    Logged In: YES
    user_id=181280
    Originator: NO

    That is a outdated PyWikipedia version. You can get a newer version here: http://toolserver.org/~valhallasw/pywiki/package/pywikipedia/.

    If you have reported rightly the traceback, I guess your Python installation is broken. Maybe you have reinstalled Python in a different directory but the PATH enviroment variable point to previous directory.

    Python 2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)] on
    win32
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import xml.sax, xml.sax.handler

    Works for me.

     
  • Nobody/Anonymous

    Logged In: NO

    Don't works for me.

    Python 2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)] on
    win32
    Type "help", "copyright", "credits" or "license" for more information.
    >>> import xml.sax, xml.sax.handler
    Traceback (most recent call last):
    File "<stdin>", line 1, in <module>
    ImportError: No module named sax

    WikiDreamer

     
  • Nobody/Anonymous

    • status: pending --> open
     
  • Multichill

    Multichill - 2008-08-15

    Logged In: YES
    user_id=1777493
    Originator: NO

    Looks like this is not a pywikipedia problem. SAX is part of standard python ( http://docs.python.org/lib/module-xml.sax.html ).
    Do you have another xml package installed?

     
  • Francesco Cosoleto

    • status: open --> closed-invalid
     
  • Francesco Cosoleto

    Logged In: YES
    user_id=181280
    Originator: NO

    You can solve the problem if reinstall Python for example in C:\Python, then fix PATH variable similar to: PATH=C:\Python;C:\WINXP\system32;.... See also for details: http://www.python.org/doc/faq/windows/. Another alternative and install Cygwin (http://www.cygwin.com) and related Python version.

     
  • Nobody/Anonymous

    Logged In: NO

    I don't think.
    In the folder xml C:\Python25\Lib\xml , it have four folders and one file.
    Folders: dom, etree, parsers and sax
    File: __init__.py

    I added ;C:\Python23 in the environment variable but I have the same error.

    WikiDreamer

     
  • Francesco Cosoleto

    Logged In: YES
    user_id=181280
    Originator: NO

    Why do you consider "C:\Python23"? Simply delete this folder if it exists and contain only an Python installation.

    This may be a working PATH for you:

    PATH=C:\Python25\;C:\WI...

    Please, verify expected PATH is correctly in memory by typing PATH in command line before to run Python.

     
  • NicDumZ — Nicolas Dumazet

    Logged In: YES
    user_id=1963242
    Originator: NO

    http://www.justfuckinggoogleit.com/

    This bugtracker is not a python helpdesk.

    WikiDreamer, the fact that you were running such an outdated of our framework (Come on, more than ONE YEAR !) on such a big number of wikis (132 languages !!!!) seriously worries me

     
  • NicDumZ — Nicolas Dumazet

    Logged In: YES
    user_id=1963242
    Originator: NO

    Let me clarify my last -angry- message.

    I have been experiencing a lot of issues with wikipedia User:WikiDreamer, and that last event was too much. Such an old version, damn.
    I am currently asking for the removal of his bot flag on fr: and other wikipedia projects should follow.

    Sorry for the rudish comment, I'm willing to give support to any pywikipedia user that needs help

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks